For the complete documentation index, see llms.txt. This page is also available as Markdown.

Validate client

Allows obtaining the data associated with an identification number by querying the registry DHA of South Africa 🇿🇦.

The verification will be performed on the identification number provided in the POST Create client endpoint.

Endpoint

GET /civil-registry/dha/validation/{ID_NUMBER}

Authentication

Type
Location
Name

API Key

Header

x-api-key

Path parameters

Parameter
Type
Required
Description

ID_NUMBER

string

Yes

Identification number of 13 digits.

Request example

curl --location '{IDENTITY_API_BASE_URL}/civil-registry/dha/validation/{ID_NUMBER}' \
--header 'x-api-key: {API_KEY}'

Responses

200 Success

Response example

400 Bad Request

401 Unauthorized

403 Forbidden

502 Bad Gateway

504 Gateway Timeout

Last updated